OpenVDB 5.1.0

Classes | Public Member Functions | List of all members
DilationOp< TreeT > Class Template Reference

Class that performs multi-threaded dilation with support for active tiles. More...

`#include <Morphology.h>`

## Public Member Functions
| DilationOp (TreeT &tree, int iterations, NearestNeighbors nn, TilePolicy mode)
void | operator() (const tbb::blocked_range< LeafT **> &r) const

## Detailed Description

### template<typename TreeT>
class openvdb::v5_1::tools::DilationOp< TreeT >

Class that performs multi-threaded dilation with support for active tiles.

Warning
  Dont use this class directly, instead call the function dilateActiveValues!

## Constructor & Destructor Documentation

## ◆ DilationOp()

DilationOp | ( | TreeT & | tree,
|  | int | iterations,
|  | NearestNeighbors | nn,
|  | TilePolicy | mode
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< LeafT **> & | r | ) | const
| inline

The documentation for this class was generated from the following file:

- Morphology.h